Start maintenance mode
- POST /platform/infrastructure/allocators/{allocator_id}/maintenance-mode/_start
Starts maintenance mode on the allocator.
Path Parameters
-
allocator_idstringrequired -
The allocator identifier.
Query Parameters
-
reasonstring Provides a reason for changing the maintenance mode which will appear as a message on the allocator.
Responses
The start maintenance mode command was issued successfully
Response Type: EmptyResponse
The start maintenance mode command was prohibited for the given allocator. (code: root.unauthorized.rbac)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The allocator specified by {allocator_id} cannot be found. (code: allocators.allocator_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response